Skip to main content

Application Templates Actions

https://api.app.wnology.io/applicationTemplates

Below are the various requests that can be performed against the Application Templates resource, as well as the expected parameters and the potential responses.

Get​

Returns the application templates the current user has permission to see

Method And Url​

GET https://api.app.wnology.io/applicationTemplates

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, all.User.read, applicationTemplates.*, or applicationTemplates.get.

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: name, id, creationDate, lastUpdatednamesortField=name
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: name, authorNamefilterField=name
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my * app
keywordsNList of keywords to filter by. Matches all provided keywords.keywords[0]=gps&keywords[1]=aws
categoryIdNID of a category to filter by.categoryId=575ec76c7ae143cd83dc4a96

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applicationTemplates

Successful Responses​

CodeTypeDescription
200Application TemplatesCollection of application templates

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Get Categories​

Returns a category list, beginning at the specified category

Method And Url​

GET https://api.app.wnology.io/applicationTemplates/categories

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, all.User.read, applicationTemplates.*, or applicationTemplates.getCategories.

Request Query Parameters​

NameRequiredDescriptionDefaultExample
baseIdNID of the category to begin frombaseId=575ed6e87ae143cd83dc4aa8

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applicationTemplates/categories

Successful Responses​

CodeTypeDescription
200Application Template CategoriesCollection of application categories

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Get Unique Keywords​

Returns an array of all unique keywords currently in use by templates

Method And Url​

GET https://api.app.wnology.io/applicationTemplates/keywords

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.User, all.User.read, applicationTemplates.*, or applicationTemplates.getUniqueKeywords.

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applicationTemplates/keywords

Successful Responses​

CodeTypeDescription
200Template KeywordsArray of all unique template keywords

Error Responses​

CodeTypeDescription
400ErrorError if malformed request

Schemas​

Application Template Categories​

Schema for a collection of Application Template Categories

Application Template Categories Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 4 keys
      • ▶
        {} 2 keys
        • ▶
          {} 2 keys
          • ▶
            {} 1 key
            • ▶
              {} 1 key

          Application Template Categories Example​

          • ▶
            {} 4 keys
            • ▶
              [] 2 items
              • "586e9d5151265cb9d72f6ec6"
              • 2
              • 2

            Application Templates​

            Schema for a collection of Application Templates

            Application Templates Schema​

            • ▶
              {} 3 keys
              • "http://json-schema.org/draft-07/schema#"
              • "object"
              • ▶
                {} 11 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 1 key
                    • ▶
                      {} 1 key
                      • ▶
                        {} 1 key
                        • ▶
                          {} 1 key
                          • ▶
                            {} 1 key
                            • ▶
                              {} 1 key
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 3 keys
                                  • ▶
                                    {} 1 key
                                    • ▶
                                      {} 2 keys

                                  Application Templates Example​

                                  • ▶
                                    {} 7 keys
                                    • ▶
                                      [] 1 item
                                      • 1
                                      • 8
                                      • 1
                                      • 0
                                      • "name"
                                      • "asc"

                                    Error​

                                    Schema for errors returned by the API

                                    Error Schema​

                                    • ▶
                                      {} 3 keys
                                      • "http://json-schema.org/draft-07/schema#"
                                      • "object"
                                      • ▶
                                        {} 2 keys
                                        • ▶
                                          {} 1 key
                                          • ▶
                                            {} 1 key

                                        Error Example​

                                        • ▶
                                          {} 2 keys
                                          • "NotFound"
                                          • "Application was not found"

                                        Template Keywords​

                                        Schema for a collection of template keywords

                                        Template Keywords Schema​

                                        • ▶
                                          {} 3 keys
                                          • "http://json-schema.org/draft-07/schema#"
                                          • ▶
                                            {} 1 key
                                            • ▶
                                              {} 3 keys
                                            • false

                                          Template Keywords Example​

                                          • ▶
                                            {} 1 key
                                            • ▶
                                              [] 2 items

                                            Was this page helpful?


                                            Still looking for help? You can also search the WEGnology Forums or submit your question there.